# Products

Typical usage involves calling the List Products endpoint to find products of interest and those that have recently been updated. The Get Product end point can then be called to obtain the complete data set for a product.

{% hint style="warning" %}
If you require product data as or on behalf of a Wholesaler, you should use the [Wholesaler Catalogs](https://developer.erudus.com/api-reference/wholesaler-catalogs) endpoints.
{% endhint %}

Product data is returned in JSON format inside the data element. A full product specification includes data structured inside several sub-sections and one or more inner components. The data values are collected together in related sections, for example "allergens" or "nutrients".

Each product complies to a specification type schema. Each product can therefore contain different sets of attributes depending on its type and whether data has been provided by the manufacturer of the product.

## List Products

> Get a paginated list of products. Use next in response to get cursor value for next page.

```json
{"openapi":"3.0.3","info":{"title":"Erudus API","version":"2.0.0"},"tags":[{"name":"Products","description":"\nAPIs for getting product data held in the Erudus data pool.\n\nTypical usage involves calling the List Products endpoint to find products of interest and those that have recently been updated. The Get Product end point can then be called to obtain the complete data set for a product.\n\nProduct data is returned in JSON format inside the data element. A full product specification includes data structured inside several sub-sections and one or more inner components. The data values are collected together in related sections, for example \"allergens\" or \"nutrients\".\n\nSee endpoint sections below for example data responses.\n\nEach product complies to a specification type schema. Each product can therefore\ncontain different sets of attributes depending on its type and whether data has been\nprovided by the manufacturer of the product."}],"servers":[{"url":"https://api.erudus.com"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"http","scheme":"bearer","description":"You can retrieve your token by visiting your dashboard and clicking <b>Manage API tokens</b>."}}},"paths":{"/v2/products":{"get":{"summary":"List Products","operationId":"listProducts","description":"Get a paginated list of products. Use next in response to get cursor value for next page.","parameters":[{"in":"query","name":"sort","description":"Sort results by changed_at, manufacturer_product_name. Prefixing with a hyphen will reverse order. Defaults to '-changed_at'.","required":false,"schema":{"type":"string","description":"Sort results by changed_at, manufacturer_product_name. Prefixing with a hyphen will reverse order. Defaults to '-changed_at'."}},{"in":"query","name":"filter[manufacturer]","description":"Filter by ID of manufacturer.","required":false,"schema":{"type":"integer","description":"Filter by ID of manufacturer."}},{"in":"query","name":"filter[brand]","description":"Filter by ID of brand.","required":false,"schema":{"type":"integer","description":"Filter by ID of brand."}},{"in":"query","name":"filter[label]","description":"Filter by ID of label.","required":false,"schema":{"type":"integer","description":"Filter by ID of label."}},{"in":"query","name":"filter[manufacturer_product_code]","description":"Filter by manufacturer product code.","required":false,"schema":{"type":"string","description":"Filter by manufacturer product code."}},{"in":"query","name":"filter[changed_at]","description":"Filter by date product changed equal to (eq:), greater than (gt:) or less than a date (lt:).","required":false,"schema":{"type":"string","description":"Filter by date product changed equal to (eq:), greater than (gt:) or less than a date (lt:)."}},{"in":"query","name":"filter[status]","description":"Filter by product's current status, i.e. published or archived. Defaults to 'published,archived'.","required":false,"schema":{"type":"string","description":"Filter by product's current status, i.e. published or archived. Defaults to 'published,archived'."}},{"in":"query","name":"cursor","description":"Cursor hash value for next page.","required":false,"schema":{"type":"string","description":"Cursor hash value for next page."}},{"in":"query","name":"limit","description":"Number of records per page.","required":false,"schema":{"type":"integer","description":"Number of records per page."}},{"in":"query","name":"count","description":"Flag to request return of count value for query.","required":false,"schema":{"type":"integer","description":"Flag to request return of count value for query."}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"oneOf":[{"description":"","type":"object","properties":{"next":{"type":"string"},"previous":{"type":"string","nullable":true},"data":{"type":"array","items":{"type":"object","properties":{"erudus_id":{"type":"string"},"status":{"type":"string"},"version":{"type":"string"},"changed_at":{"type":"string"},"latest_version":{"type":"string"},"latest_at":{"type":"string"},"schema":{"type":"string"},"schema_name":{"type":"string"},"manufacturer_product_name":{"type":"string"},"product_name":{"type":"string"},"standardised_name":{"type":"string"},"manufacturer_product_code":{"type":"string"},"traded_unit_gtin":{"type":"string","nullable":true},"manufacturer_version_number":{"type":"string","nullable":true},"manufacturer":{"type":"integer"},"manufacturer_name":{"type":"string"},"brand":{"type":"integer"},"brand_name":{"type":"string"},"label":{"type":"integer"},"label_name":{"type":"string","nullable":true},"label_code":{"type":"string","nullable":true},"components":{"type":"array","items":{"type":"object","properties":{"component_uuid":{"type":"string"},"component_name":{"type":"string","nullable":true},"internal_gtin":{"type":"string","nullable":true},"manufacturers_component_code":{"type":"string","nullable":true}}}},"parent_id":{"type":"string","nullable":true},"change_type":{"type":"string"},"change_reason":{"type":"string","nullable":true},"reviewed_at":{"type":"string"}}}}}},{"description":"No results found.","type":"object","properties":{"next":{"type":"string","nullable":true},"previous":{"type":"string","nullable":true},"data":{"type":"array"}}}]}}}}},"tags":["Products"]}}}}
```

## Get Product

> Retrieve data for a single product using the unique Erudus ID reference.

```json
{"openapi":"3.0.3","info":{"title":"Erudus API","version":"2.0.0"},"tags":[{"name":"Products","description":"\nAPIs for getting product data held in the Erudus data pool.\n\nTypical usage involves calling the List Products endpoint to find products of interest and those that have recently been updated. The Get Product end point can then be called to obtain the complete data set for a product.\n\nProduct data is returned in JSON format inside the data element. A full product specification includes data structured inside several sub-sections and one or more inner components. The data values are collected together in related sections, for example \"allergens\" or \"nutrients\".\n\nSee endpoint sections below for example data responses.\n\nEach product complies to a specification type schema. Each product can therefore\ncontain different sets of attributes depending on its type and whether data has been\nprovided by the manufacturer of the product."}],"servers":[{"url":"https://api.erudus.com"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"http","scheme":"bearer","description":"You can retrieve your token by visiting your dashboard and clicking <b>Manage API tokens</b>."}}},"paths":{"/v2/products/{product}":{"get":{"summary":"Get Product","operationId":"getProduct","description":"Retrieve data for a single product using the unique Erudus ID reference.","parameters":[{"in":"query","name":"version","description":"Get a specific version of the product.","required":false,"schema":{"type":"string","description":"Get a specific version of the product."}},{"in":"query","name":"output","description":"Sets an alternative output format to raw, flat or ungroup.","required":false,"schema":{"type":"string","description":"Sets an alternative output format to raw, flat or ungroup."}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"erudus_id":{"type":"string"},"standardised_name":{"type":"string"},"status":{"type":"string"},"version":{"type":"string"},"changed_at":{"type":"string"},"latest_version":{"type":"string"},"change_reason":{"type":"string","nullable":true},"change_type":{"type":"integer"},"reviewed_at":{"type":"string"},"parent_id":{"type":"string","nullable":true},"replaced_by":{"type":"array"},"codes":{"type":"array"},"general":{"type":"object","properties":{"manufacturer_product_name":{"type":"string"},"product_name":{"type":"string"},"manufacturer":{"type":"integer"},"manufacturer_name":{"type":"string"},"label":{"type":"integer"},"label_name":{"type":"string","nullable":true},"label_code":{"type":"string"},"brand":{"type":"integer"},"brand_name":{"type":"string"},"schema":{"type":"string"},"schema_name":{"type":"string"},"manufacturer_product_code":{"type":"string"},"product_description":{"type":"string"},"product_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"product_category":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"storage_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"manufacturer_address":{"type":"string","nullable":true},"marketing_description":{"type":"string"},"day_code":{"type":"string"},"batch_code":{"type":"string"},"manufacturer_version_number":{"type":"string"},"effective_date":{"type":"string","nullable":true}}},"outer":{"type":"object","properties":{"no_outer_present":{"type":"string","nullable":true},"traded_unit_gtin":{"type":"string"},"variable_inner_components":{"type":"string","nullable":true},"consumer_units_per_traded":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"outer_case_gross_weight":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"outer_case_height":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"outer_case_depth":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"outer_case_net_weight":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"outer_case_width":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"trade_item_splittable":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"value_added_tax_rate":{"type":"string","nullable":true},"inner_packs_in_case":{"type":"string","nullable":true}}},"inner_pack":{"type":"object","properties":{"inner_pack_height":{"type":"string","nullable":true},"inner_pack_depth":{"type":"string","nullable":true},"inner_pack_width":{"type":"string","nullable":true},"inner_pack_gtin":{"type":"string"},"inner_pack_splittable":{"type":"string","nullable":true},"inner_pack_gross_weight":{"type":"string","nullable":true},"inner_pack_net_weight":{"type":"string","nullable":true},"inner_components_in_pack":{"type":"string","nullable":true},"inner_pack_product_code":{"type":"string"}}},"safety_outer":{"type":"object","properties":{"product_health_warning":{"type":"string"},"age_restricted_product":{"type":"string","nullable":true},"age_restriction":{"type":"string","nullable":true}}},"pallet":{"type":"object","properties":{"non_palletised":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"pallet_type":{"type":"string","nullable":true},"pallet_gtin":{"type":"string"},"cases_per_pallet":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"pallet_gross_weight":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"pallet_height":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"cases_per_pallet_layer":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"layers_per_pallet":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}}}},"waste_outer":{"type":"object","properties":{"outer_packaging":{"type":"array","items":{"type":"object","properties":{"packaging_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_weight":{"type":"integer"},"recycled_plastic":{"type":"string","nullable":true},"base_material_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_returnable":{"type":"string","nullable":true}}}},"transport_packaging":{"type":"array","items":{"type":"object","properties":{"packaging_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_weight":{"type":"integer"},"recycled_plastic":{"type":"string","nullable":true},"base_material_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_returnable":{"type":"string","nullable":true}}}},"inner_pack_packaging":{"type":"string","nullable":true}}},"logistics":{"type":"object","properties":{"max_shelf_life":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"shelf_life_from_opening":{"type":"string","nullable":true},"shelf_life_exempt":{"type":"string","nullable":true}}},"other":{"type":"object","properties":{"manufacturer_comments":{"type":"string"}}},"components":{"type":"array","items":{"type":"object","properties":{"general":{"type":"object","properties":{"component_name":{"type":"string"},"component_uuid":{"type":"string"}}},"origin":{"type":"object","properties":{"country_of_origin":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}}},"place_of_provenance":{"type":"string"},"country_of_origin_details":{"type":"string"},"primary_ingredient_origin":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}}},"primary_ingredient_details":{"type":"string"}}},"accreditations":{"type":"object","properties":{"acc_asc":{"type":"string","nullable":true},"acc_aoecs":{"type":"string","nullable":true},"acc_bcorp":{"type":"string","nullable":true},"acc_bap_cert":{"type":"string","nullable":true},"acc_brcgs_certified":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"acc_brcgs_agents_brokers":{"type":"string","nullable":true},"acc_brcgs_ethical":{"type":"string","nullable":true},"acc_brcgs_food_safety":{"type":"string","nullable":true},"acc_brcgs_gluten_free":{"type":"string","nullable":true},"acc_brcgs_packaging":{"type":"string","nullable":true},"acc_brcgs_plant_based":{"type":"string","nullable":true},"acc_brcgs_start":{"type":"string","nullable":true},"acc_brcgs_storage_distribution":{"type":"string","nullable":true},"acc_bbpa":{"type":"string","nullable":true},"acc_bpi":{"type":"string","nullable":true},"acc_british_lion":{"type":"string","nullable":true},"acc_bmpa":{"type":"string","nullable":true},"acc_clas":{"type":"string","nullable":true},"acc_ethical_tea":{"type":"string","nullable":true},"acc_fair_trade":{"type":"string","nullable":true},"acc_fa_welsh_livestock":{"type":"string","nullable":true},"acc_femas":{"type":"string","nullable":true},"acc_food_for_life":{"type":"string","nullable":true},"acc_fsc":{"type":"string","nullable":true},"acc_fssc_22000":{"type":"string","nullable":true},"acc_global_gap":{"type":"string","nullable":true},"acc_iceland_responsible_fisheries":{"type":"string","nullable":true},"acc_ifs_food_standard":{"type":"string","nullable":true},"acc_iso_14001":{"type":"string","nullable":true},"acc_iso_22000":{"type":"string","nullable":true},"acc_iso_45001":{"type":"string","nullable":true},"acc_iso_9001_2015":{"type":"string","nullable":true},"acc_leaf":{"type":"string","nullable":true},"acc_loop":{"type":"string","nullable":true},"acc_mel_japan":{"type":"string","nullable":true},"acc_msc":{"type":"string","nullable":true},"acc_ni_beef_lamb_fqas":{"type":"string","nullable":true},"acc_organic":{"type":"string","nullable":true},"acc_quality_meat_scotland":{"type":"string","nullable":true},"acc_rainforest":{"type":"string","nullable":true},"acc_red_tractor":{"type":"string","nullable":true},"acc_responsible_fisheries_management":{"type":"string","nullable":true},"acc_rspo":{"type":"string","nullable":true},"acc_rtrs":{"type":"string","nullable":true},"acc_freedom_food":{"type":"string","nullable":true},"acc_sqf":{"type":"string","nullable":true},"acc_salsa":{"type":"string","nullable":true},"acc_school_approved":{"type":"string","nullable":true},"acc_sedex":{"type":"string","nullable":true},"acc_siba":{"type":"string","nullable":true},"acc_spec_cheese_assoc":{"type":"string","nullable":true},"acc_vegan":{"type":"string","nullable":true},"acc_vegetarian":{"type":"string","nullable":true},"other_accreditation":{"type":"string"}}},"inner_other":{"type":"object","properties":{"health_marks":{"type":"string"},"intrastat_taric":{"type":"string"},"commodity_code":{"type":"string"},"meursing_code":{"type":"string"},"not_for_eu":{"type":"string","nullable":true}}},"additives":{"type":"object","properties":{"artificial_antioxidants":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_colours":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_flavour_enhancers":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_flavourings":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_preservatives":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_sweeteners":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}}}},"allergens":{"type":"object","properties":{"contains_celery_celeriac":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_cereal":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_barley":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_oats":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_rye":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_wheat":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_crustacea":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_eggs":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_fish":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_lupin":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_milk":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_molluscs":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_mustard":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_tree_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_almond_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_brazil_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_cashew_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_hazelnut_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_macadamia_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_pecan_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_pistachio_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_walnut_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_peanuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_sesame_seeds":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_soybeans":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_celery_celeriac_risk_source":{"type":"string","nullable":true},"contains_cereal_risk_source":{"type":"string","nullable":true},"contains_barley_risk_source":{"type":"string","nullable":true},"contains_oats_risk_source":{"type":"string","nullable":true},"contains_rye_risk_source":{"type":"string","nullable":true},"contains_wheat_risk_source":{"type":"string","nullable":true},"contains_crustacea_risk_source":{"type":"string","nullable":true},"contains_eggs_risk_source":{"type":"string","nullable":true},"contains_fish_risk_source":{"type":"string","nullable":true},"contains_lupin_risk_source":{"type":"string","nullable":true},"contains_mustard_risk_source":{"type":"string","nullable":true},"contains_milk_risk_source":{"type":"string","nullable":true},"contains_molluscs_risk_source":{"type":"string","nullable":true},"contains_tree_nuts_risk_source":{"type":"string","nullable":true},"contains_almond_nuts_risk_source":{"type":"string","nullable":true},"contains_brazil_nuts_risk_source":{"type":"string","nullable":true},"contains_cashew_nuts_risk_source":{"type":"string","nullable":true},"contains_hazelnut_nuts_risk_source":{"type":"string","nullable":true},"contains_macadamia_nuts_risk_source":{"type":"string","nullable":true},"contains_pecan_nuts_risk_source":{"type":"string","nullable":true},"contains_pistachio_nuts_risk_source":{"type":"string","nullable":true},"contains_walnut_nuts_risk_source":{"type":"string","nullable":true},"contains_peanuts_risk_source":{"type":"string","nullable":true},"contains_sesame_seeds_risk_source":{"type":"string","nullable":true},"contains_soybeans_risk_source":{"type":"string","nullable":true},"contains_sulphur_dioxide":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"allergen_statement_on_pack":{"type":"string"},"additional_allergen_information":{"type":"string"},"contains_cereal_gluten_20ppm":{"type":"string","nullable":true},"contains_wheat_gluten_20ppm":{"type":"string","nullable":true},"contains_rye_gluten_20ppm":{"type":"string","nullable":true},"contains_barley_gluten_20ppm":{"type":"string","nullable":true},"contains_oats_gluten_20ppm":{"type":"string","nullable":true},"contains_sulphur_dioxide_risk_source":{"type":"string","nullable":true}}},"free_from":{"type":"object","properties":{"free_from_gluten":{"type":"string","nullable":true},"free_from_wheat":{"type":"string","nullable":true},"free_from_rye":{"type":"string","nullable":true},"free_from_barley":{"type":"string","nullable":true},"free_from_oats":{"type":"string","nullable":true},"free_from_nuts":{"type":"string","nullable":true},"free_from_celery":{"type":"string","nullable":true},"free_from_crustacea":{"type":"string","nullable":true},"free_from_eggs":{"type":"string","nullable":true},"free_from_fish":{"type":"string","nullable":true},"free_from_lupin":{"type":"string","nullable":true},"free_from_mustard":{"type":"string","nullable":true},"free_from_lactose":{"type":"string","nullable":true},"free_from_milk":{"type":"string","nullable":true},"free_from_molluscs":{"type":"string","nullable":true},"free_from_peanuts":{"type":"string","nullable":true},"free_from_sesame":{"type":"string","nullable":true},"free_from_soybeans":{"type":"string","nullable":true},"free_from_sulphur_dioxide":{"type":"string","nullable":true},"very_low_gluten":{"type":"string","nullable":true}}},"nutrients":{"type":"object","properties":{"traffic_light_labelling":{"type":"string","nullable":true},"nutritional_data_exempt":{"type":"string","nullable":true},"nutritional_information_source":{"type":"string","nullable":true},"nutrition_units":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"number_of_servings":{"type":"string","nullable":true},"serving_size":{"type":"string","nullable":true},"serving_details":{"type":"string"},"hfss_product":{"type":"string","nullable":true},"hfss_score":{"type":"string","nullable":true},"fibre_type":{"type":"string","nullable":true},"chol_100":{"type":"string","nullable":true},"trans_fats_100":{"type":"string","nullable":true},"fat_percentage_dry_100":{"type":"string","nullable":true},"non_milk_extrinsic_sugars_100":{"type":"string","nullable":true},"non_milk_extrinsic_sugars_prepared":{"type":"string","nullable":true},"nutrition_statements":{"type":"string"},"cal_100_kj":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"cal_100_kcal":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"fat_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"sat_fat_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"mono_fat_100":{"type":"string","nullable":true},"poly_fat_100":{"type":"string","nullable":true},"carb_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"sugar_carb_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"polyols_carb_100":{"type":"string","nullable":true},"starch_carb_100":{"type":"string","nullable":true},"fibre_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"protein_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"salt_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"sodium_100":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"sugar_carb_serving":{"type":"string","nullable":true},"vitamin_a_100":{"type":"string","nullable":true},"vitamin_d_100":{"type":"string","nullable":true},"vitamin_e_100":{"type":"string","nullable":true},"vitamin_k_100":{"type":"string","nullable":true},"vitamin_c_100":{"type":"string","nullable":true},"thiamin_b1_100":{"type":"string","nullable":true},"riboflavin_b2_100":{"type":"string","nullable":true},"niacin_b3_100":{"type":"string","nullable":true},"vitamin_b6_100":{"type":"string","nullable":true},"folate_100":{"type":"string","nullable":true},"vitamin_b12_100":{"type":"string","nullable":true},"biotin_b7_100":{"type":"string","nullable":true},"pantothenic_acid_100":{"type":"string","nullable":true},"potassium_100":{"type":"string","nullable":true},"chloride_100":{"type":"string","nullable":true},"calcium_100":{"type":"string","nullable":true},"phosphorus_100":{"type":"string","nullable":true},"magnesium_100":{"type":"string","nullable":true},"iron_100":{"type":"string","nullable":true},"zinc_100":{"type":"string","nullable":true},"copper_100":{"type":"string","nullable":true},"manganese_100":{"type":"string","nullable":true},"fluoride_100":{"type":"string","nullable":true},"selenium_100":{"type":"string","nullable":true},"chromium_100":{"type":"string","nullable":true},"molybdenum_100":{"type":"string","nullable":true},"iodine_100":{"type":"string","nullable":true},"cal_kcal_serving":{"type":"string","nullable":true},"cal_kj_serving":{"type":"string","nullable":true},"calcium_serving":{"type":"string","nullable":true},"carb_serving":{"type":"string","nullable":true},"polyols_carb_serving":{"type":"string","nullable":true},"starch_carb_serving":{"type":"string","nullable":true},"fat_serving":{"type":"string","nullable":true},"sat_fat_serving":{"type":"string","nullable":true},"mono_fat_serving":{"type":"string","nullable":true},"poly_fat_serving":{"type":"string","nullable":true},"fibre_serving":{"type":"string","nullable":true},"folate_serving":{"type":"string","nullable":true},"iron_serving":{"type":"string","nullable":true},"protein_serving":{"type":"string","nullable":true},"salt_serving":{"type":"string","nullable":true},"sodium_serving":{"type":"string","nullable":true},"vitamin_a_serving":{"type":"string","nullable":true},"vitamin_c_serving":{"type":"string","nullable":true},"zinc_serving":{"type":"string","nullable":true},"vitamin_d_serving":{"type":"string","nullable":true},"vitamin_e_serving":{"type":"string","nullable":true},"thiamin_b1_serving":{"type":"string","nullable":true},"riboflavin_b2_serving":{"type":"string","nullable":true},"niacin_b3_serving":{"type":"string","nullable":true},"vitamin_b6_serving":{"type":"string","nullable":true},"vitamin_b12_serving":{"type":"string","nullable":true},"biotin_b7_serving":{"type":"string","nullable":true},"pantothenic_acid_serving":{"type":"string","nullable":true},"potassium_serving":{"type":"string","nullable":true},"chloride_serving":{"type":"string","nullable":true},"phosphorus_serving":{"type":"string","nullable":true},"magnesium_serving":{"type":"string","nullable":true},"copper_serving":{"type":"string","nullable":true},"manganese_serving":{"type":"string","nullable":true},"fluoride_serving":{"type":"string","nullable":true},"selenium_serving":{"type":"string","nullable":true},"iodine_serving":{"type":"string","nullable":true},"vitamin_k_serving":{"type":"string","nullable":true},"chromium_serving":{"type":"string","nullable":true},"molybdenum_serving":{"type":"string","nullable":true}}},"nutrients_prepared":{"type":"object","properties":{"prepared_product_portion_size":{"type":"string","nullable":true},"prepared_product_details":{"type":"string"},"sugar_carb_prepared":{"type":"string","nullable":true},"sugar_carb_prepared_100":{"type":"string","nullable":true},"cal_kcal_prepared":{"type":"string","nullable":true},"cal_kcal_prepared_100":{"type":"string","nullable":true},"cal_kj_prepared":{"type":"string","nullable":true},"cal_kj_prepared_100":{"type":"string","nullable":true},"calcium_prepared":{"type":"string","nullable":true},"calcium_prepared_100":{"type":"string","nullable":true},"carb_prepared":{"type":"string","nullable":true},"carb_prepared_100":{"type":"string","nullable":true},"polyols_carb_prepared":{"type":"string","nullable":true},"polyols_carb_prepared_100":{"type":"string","nullable":true},"starch_carb_prepared":{"type":"string","nullable":true},"starch_carb_prepared_100":{"type":"string","nullable":true},"fat_prepared":{"type":"string","nullable":true},"fat_prepared_100":{"type":"string","nullable":true},"sat_fat_prepared":{"type":"string","nullable":true},"sat_fat_prepared_100":{"type":"string","nullable":true},"mono_fat_prepared":{"type":"string","nullable":true},"mono_fat_prepared_100":{"type":"string","nullable":true},"poly_fat_prepared":{"type":"string","nullable":true},"poly_fat_prepared_100":{"type":"string","nullable":true},"fibre_prepared":{"type":"string","nullable":true},"fibre_prepared_100":{"type":"string","nullable":true},"folate_prepared":{"type":"string","nullable":true},"folate_prepared_100":{"type":"string","nullable":true},"iron_prepared":{"type":"string","nullable":true},"iron_prepared_100":{"type":"string","nullable":true},"protein_prepared":{"type":"string","nullable":true},"protein_prepared_100":{"type":"string","nullable":true},"salt_prepared":{"type":"string","nullable":true},"salt_prepared_100":{"type":"string","nullable":true},"sodium_prepared":{"type":"string","nullable":true},"sodium_prepared_100":{"type":"string","nullable":true},"vitamin_a_prepared":{"type":"string","nullable":true},"vitamin_a_prepared_100":{"type":"string","nullable":true},"vitamin_c_prepared":{"type":"string","nullable":true},"vitamin_c_prepared_100":{"type":"string","nullable":true},"zinc_prepared":{"type":"string","nullable":true},"zinc_prepared_100":{"type":"string","nullable":true},"vitamin_d_prepared":{"type":"string","nullable":true},"vitamin_d_prepared_100":{"type":"string","nullable":true},"vitamin_e_prepared":{"type":"string","nullable":true},"vitamin_e_prepared_100":{"type":"string","nullable":true},"thiamin_b1_prepared":{"type":"string","nullable":true},"thiamin_b1_prepared_100":{"type":"string","nullable":true},"riboflavin_b2_prepared":{"type":"string","nullable":true},"riboflavin_b2_prepared_100":{"type":"string","nullable":true},"niacin_b3_prepared":{"type":"string","nullable":true},"niacin_b3_prepared_100":{"type":"string","nullable":true},"vitamin_b6_prepared":{"type":"string","nullable":true},"vitamin_b6_prepared_100":{"type":"string","nullable":true},"vitamin_b12_prepared":{"type":"string","nullable":true},"vitamin_b12_prepared_100":{"type":"string","nullable":true},"biotin_b7_prepared":{"type":"string","nullable":true},"biotin_b7_prepared_100":{"type":"string","nullable":true},"pantothenic_acid_prepared":{"type":"string","nullable":true},"pantothenic_acid_prepared_100":{"type":"string","nullable":true},"potassium_prepared":{"type":"string","nullable":true},"potassium_prepared_100":{"type":"string","nullable":true},"chloride_prepared":{"type":"string","nullable":true},"chloride_prepared_100":{"type":"string","nullable":true},"phosphorus_prepared":{"type":"string","nullable":true},"phosphorus_prepared_100":{"type":"string","nullable":true},"magnesium_prepared":{"type":"string","nullable":true},"magnesium_prepared_100":{"type":"string","nullable":true},"copper_prepared":{"type":"string","nullable":true},"copper_prepared_100":{"type":"string","nullable":true},"manganese_prepared":{"type":"string","nullable":true},"manganese_prepared_100":{"type":"string","nullable":true},"fluoride_prepared":{"type":"string","nullable":true},"fluoride_prepared_100":{"type":"string","nullable":true},"selenium_prepared":{"type":"string","nullable":true},"selenium_prepared_100":{"type":"string","nullable":true},"iodine_prepared":{"type":"string","nullable":true},"iodine_prepared_100":{"type":"string","nullable":true},"vitamin_k_prepared":{"type":"string","nullable":true},"vitamin_k_prepared_100":{"type":"string","nullable":true},"chromium_prepared":{"type":"string","nullable":true},"chromium_prepared_100":{"type":"string","nullable":true},"molybdenum_prepared":{"type":"string","nullable":true},"molybdenum_prepared_100":{"type":"string","nullable":true}}},"ingredients":{"type":"object","properties":{"ingredients":{"type":"string"},"ingredients_statements":{"type":"string"},"contains_gm_protein":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_hydro_veg":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_palm_oil":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"alcohol_strength_per_vol":{"type":"string","nullable":true},"cbd_concentration":{"type":"string","nullable":true},"formatted_ingredients":{"type":"string"},"plaintext_ingredients":{"type":"string"}}},"diets":{"type":"object","properties":{"vegan_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"vegetarian_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"halal_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"kosher_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}}}},"handling":{"type":"object","properties":{"directions_for_use":{"type":"string"},"storage_instructions":{"type":"string"},"storage_instructions_after_opening":{"type":"string"},"shelf_life_once_defrosted":{"type":"string","nullable":true}}},"inner":{"type":"object","properties":{"no_inner_component_present":{"type":"string","nullable":true},"internal_gtin":{"type":"string"},"inner_component_diameter":{"type":"string","nullable":true},"inner_component_weight":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"},"units_id":{"type":"integer"}}},"inner_component_volume":{"type":"string","nullable":true},"inner_component_depth":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"inner_component_width":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"inner_component_height":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"net_drained_weight":{"type":"string","nullable":true},"variable_weight_consumer_item":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"count_per_inner_component":{"type":"string","nullable":true},"e_mark":{"type":"string","nullable":true},"manufacturers_component_code":{"type":"string"}}},"waste_inner":{"type":"object","properties":{"inner_packaging":{"type":"array","items":{"type":"object","properties":{"packaging_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_weight":{"type":"integer"},"recycled_plastic":{"type":"string","nullable":true},"base_material_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_returnable":{"type":"string","nullable":true}}}}}},"characteristics":{"type":"object","properties":{"micro_trend_analysis":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"shelf_life_testing":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"commercially_sterile":{"type":"string","nullable":true}}},"supplementary_information":{"type":"object","properties":{"cheese_format":{"type":"string","nullable":true},"egg_source":{"type":"string","nullable":true},"cheese_flavour_strength":{"type":"string","nullable":true},"milk_type":{"type":"string","nullable":true},"cheese_mould_ripened":{"type":"string","nullable":true},"pasteurised":{"type":"string","nullable":true},"desinewed_meat":{"type":"string","nullable":true},"reformed":{"type":"string","nullable":true},"skeletal_bones_present":{"type":"string","nullable":true},"fried_during_manufacture":{"type":"string","nullable":true},"skin_present":{"type":"string","nullable":true},"closure_type":{"type":"string"},"cut_details":{"type":"string"},"modified_atmosphere_packaging":{"type":"string","nullable":true}}},"hazard_controls":{"type":"object","properties":{"hazard_metal_detection":{"type":"string","nullable":true},"hazard_optical_sorting":{"type":"string","nullable":true},"hazard_sieving":{"type":"string","nullable":true},"hazard_xray":{"type":"string","nullable":true},"hazard_magnets":{"type":"string","nullable":true},"hazard_filters":{"type":"string","nullable":true}}},"organoleptics":{"type":"object","properties":{"organoleptic_appearance":{"type":"string"},"organoleptic_aroma":{"type":"string"},"organoleptic_taste":{"type":"string"},"organoleptic_texture":{"type":"string"}}},"derived":{"type":"array"},"waste_packaging":{"type":"object","properties":{"inner_packaging_plastic_weight":{"type":"integer"},"inner_packaging_paper_cardboard_weight":{"type":"integer"},"inner_packaging_fibre_based_composite_weight":{"type":"integer"},"inner_packaging_aluminium_weight":{"type":"integer"},"inner_packaging_glass_weight":{"type":"integer"},"inner_packaging_steel_weight":{"type":"integer"},"inner_packaging_wood_weight":{"type":"integer"},"inner_packaging_other_weight":{"type":"integer"}}}}}},"waste_packaging":{"type":"object","properties":{"outer_packaging_plastic_weight":{"type":"integer"},"outer_packaging_paper_cardboard_weight":{"type":"number"},"outer_packaging_fibre_based_composite_weight":{"type":"integer"},"outer_packaging_aluminium_weight":{"type":"integer"},"outer_packaging_glass_weight":{"type":"integer"},"outer_packaging_steel_weight":{"type":"integer"},"outer_packaging_wood_weight":{"type":"integer"},"outer_packaging_other_weight":{"type":"integer"}}}}}}}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"string"},"title":{"type":"string"},"detail":{"type":"string"}}}}}}}}}},"tags":["Products"]}}}}
```

## Get Product by GTIN

> Performs a lookup using the Outer GTIN (traded unit GTIN).

```json
{"openapi":"3.0.3","info":{"title":"Erudus API","version":"2.0.0"},"tags":[{"name":"Products","description":"\nAPIs for getting product data held in the Erudus data pool.\n\nTypical usage involves calling the List Products endpoint to find products of interest and those that have recently been updated. The Get Product end point can then be called to obtain the complete data set for a product.\n\nProduct data is returned in JSON format inside the data element. A full product specification includes data structured inside several sub-sections and one or more inner components. The data values are collected together in related sections, for example \"allergens\" or \"nutrients\".\n\nSee endpoint sections below for example data responses.\n\nEach product complies to a specification type schema. Each product can therefore\ncontain different sets of attributes depending on its type and whether data has been\nprovided by the manufacturer of the product."}],"servers":[{"url":"https://api.erudus.com"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"http","scheme":"bearer","description":"You can retrieve your token by visiting your dashboard and clicking <b>Manage API tokens</b>."}}},"paths":{"/v2/products/gtin/{gtin}":{"get":{"summary":"Get Product by GTIN","operationId":"getProductByGTIN","description":"Performs a lookup using the Outer GTIN (traded unit GTIN).","parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"erudus_id":{"type":"string"},"standardised_name":{"type":"string"},"status":{"type":"string"},"version":{"type":"string"},"changed_at":{"type":"string"},"latest_version":{"type":"string"},"change_reason":{"type":"string","nullable":true},"change_type":{"type":"integer"},"reviewed_at":{"type":"string"},"parent_id":{"type":"string","nullable":true},"replaced_by":{"type":"array"},"codes":{"type":"array"},"general":{"type":"object","properties":{"manufacturer_product_name":{"type":"string"},"product_name":{"type":"string"},"manufacturer":{"type":"integer"},"manufacturer_name":{"type":"string"},"label":{"type":"integer"},"label_name":{"type":"string","nullable":true},"label_code":{"type":"string"},"brand":{"type":"integer"},"brand_name":{"type":"string"},"schema":{"type":"string"},"schema_name":{"type":"string"},"manufacturer_product_code":{"type":"string"},"product_description":{"type":"string"},"product_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"product_category":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"storage_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"manufacturer_address":{"type":"string","nullable":true},"marketing_description":{"type":"string"},"day_code":{"type":"string"},"batch_code":{"type":"string"},"manufacturer_version_number":{"type":"string"},"effective_date":{"type":"string","nullable":true}}},"outer":{"type":"object","properties":{"no_outer_present":{"type":"string","nullable":true},"traded_unit_gtin":{"type":"string"},"variable_inner_components":{"type":"string","nullable":true},"consumer_units_per_traded":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"outer_case_gross_weight":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"outer_case_height":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"outer_case_depth":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"outer_case_net_weight":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"outer_case_width":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"trade_item_splittable":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"value_added_tax_rate":{"type":"string","nullable":true},"inner_packs_in_case":{"type":"string","nullable":true}}},"inner_pack":{"type":"object","properties":{"inner_pack_height":{"type":"string","nullable":true},"inner_pack_depth":{"type":"string","nullable":true},"inner_pack_width":{"type":"string","nullable":true},"inner_pack_gtin":{"type":"string"},"inner_pack_splittable":{"type":"string","nullable":true},"inner_pack_gross_weight":{"type":"string","nullable":true},"inner_pack_net_weight":{"type":"string","nullable":true},"inner_components_in_pack":{"type":"string","nullable":true},"inner_pack_product_code":{"type":"string"}}},"safety_outer":{"type":"object","properties":{"product_health_warning":{"type":"string"},"age_restricted_product":{"type":"string","nullable":true},"age_restriction":{"type":"string","nullable":true}}},"pallet":{"type":"object","properties":{"non_palletised":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"pallet_type":{"type":"string","nullable":true},"pallet_gtin":{"type":"string"},"cases_per_pallet":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"pallet_gross_weight":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"pallet_height":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"cases_per_pallet_layer":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"layers_per_pallet":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}}}},"waste_outer":{"type":"object","properties":{"outer_packaging":{"type":"array","items":{"type":"object","properties":{"packaging_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_weight":{"type":"integer"},"recycled_plastic":{"type":"string","nullable":true},"base_material_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_returnable":{"type":"string","nullable":true}}}},"transport_packaging":{"type":"array","items":{"type":"object","properties":{"packaging_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_weight":{"type":"integer"},"recycled_plastic":{"type":"string","nullable":true},"base_material_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_returnable":{"type":"string","nullable":true}}}},"inner_pack_packaging":{"type":"string","nullable":true}}},"logistics":{"type":"object","properties":{"max_shelf_life":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"shelf_life_from_opening":{"type":"string","nullable":true},"shelf_life_exempt":{"type":"string","nullable":true}}},"other":{"type":"object","properties":{"manufacturer_comments":{"type":"string"}}},"components":{"type":"array","items":{"type":"object","properties":{"general":{"type":"object","properties":{"component_name":{"type":"string"},"component_uuid":{"type":"string"}}},"origin":{"type":"object","properties":{"country_of_origin":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}}},"place_of_provenance":{"type":"string"},"country_of_origin_details":{"type":"string"},"primary_ingredient_origin":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}}},"primary_ingredient_details":{"type":"string"}}},"accreditations":{"type":"object","properties":{"acc_asc":{"type":"string","nullable":true},"acc_aoecs":{"type":"string","nullable":true},"acc_bcorp":{"type":"string","nullable":true},"acc_bap_cert":{"type":"string","nullable":true},"acc_brcgs_certified":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"acc_brcgs_agents_brokers":{"type":"string","nullable":true},"acc_brcgs_ethical":{"type":"string","nullable":true},"acc_brcgs_food_safety":{"type":"string","nullable":true},"acc_brcgs_gluten_free":{"type":"string","nullable":true},"acc_brcgs_packaging":{"type":"string","nullable":true},"acc_brcgs_plant_based":{"type":"string","nullable":true},"acc_brcgs_start":{"type":"string","nullable":true},"acc_brcgs_storage_distribution":{"type":"string","nullable":true},"acc_bbpa":{"type":"string","nullable":true},"acc_bpi":{"type":"string","nullable":true},"acc_british_lion":{"type":"string","nullable":true},"acc_bmpa":{"type":"string","nullable":true},"acc_clas":{"type":"string","nullable":true},"acc_ethical_tea":{"type":"string","nullable":true},"acc_fair_trade":{"type":"string","nullable":true},"acc_fa_welsh_livestock":{"type":"string","nullable":true},"acc_femas":{"type":"string","nullable":true},"acc_food_for_life":{"type":"string","nullable":true},"acc_fsc":{"type":"string","nullable":true},"acc_fssc_22000":{"type":"string","nullable":true},"acc_global_gap":{"type":"string","nullable":true},"acc_iceland_responsible_fisheries":{"type":"string","nullable":true},"acc_ifs_food_standard":{"type":"string","nullable":true},"acc_iso_14001":{"type":"string","nullable":true},"acc_iso_22000":{"type":"string","nullable":true},"acc_iso_45001":{"type":"string","nullable":true},"acc_iso_9001_2015":{"type":"string","nullable":true},"acc_leaf":{"type":"string","nullable":true},"acc_loop":{"type":"string","nullable":true},"acc_mel_japan":{"type":"string","nullable":true},"acc_msc":{"type":"string","nullable":true},"acc_ni_beef_lamb_fqas":{"type":"string","nullable":true},"acc_organic":{"type":"string","nullable":true},"acc_quality_meat_scotland":{"type":"string","nullable":true},"acc_rainforest":{"type":"string","nullable":true},"acc_red_tractor":{"type":"string","nullable":true},"acc_responsible_fisheries_management":{"type":"string","nullable":true},"acc_rspo":{"type":"string","nullable":true},"acc_rtrs":{"type":"string","nullable":true},"acc_freedom_food":{"type":"string","nullable":true},"acc_sqf":{"type":"string","nullable":true},"acc_salsa":{"type":"string","nullable":true},"acc_school_approved":{"type":"string","nullable":true},"acc_sedex":{"type":"string","nullable":true},"acc_siba":{"type":"string","nullable":true},"acc_spec_cheese_assoc":{"type":"string","nullable":true},"acc_vegan":{"type":"string","nullable":true},"acc_vegetarian":{"type":"string","nullable":true},"other_accreditation":{"type":"string"}}},"inner_other":{"type":"object","properties":{"health_marks":{"type":"string"},"intrastat_taric":{"type":"string"},"commodity_code":{"type":"string"},"meursing_code":{"type":"string"},"not_for_eu":{"type":"string","nullable":true}}},"additives":{"type":"object","properties":{"artificial_antioxidants":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_colours":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_flavour_enhancers":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_flavourings":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_preservatives":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"artificial_sweeteners":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}}}},"allergens":{"type":"object","properties":{"contains_celery_celeriac":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_cereal":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_barley":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_oats":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_rye":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_wheat":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_crustacea":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_eggs":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_fish":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_lupin":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_milk":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_molluscs":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_mustard":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_tree_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_almond_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_brazil_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_cashew_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_hazelnut_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_macadamia_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_pecan_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_pistachio_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_walnut_nuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_peanuts":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_sesame_seeds":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_soybeans":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_celery_celeriac_risk_source":{"type":"string","nullable":true},"contains_cereal_risk_source":{"type":"string","nullable":true},"contains_barley_risk_source":{"type":"string","nullable":true},"contains_oats_risk_source":{"type":"string","nullable":true},"contains_rye_risk_source":{"type":"string","nullable":true},"contains_wheat_risk_source":{"type":"string","nullable":true},"contains_crustacea_risk_source":{"type":"string","nullable":true},"contains_eggs_risk_source":{"type":"string","nullable":true},"contains_fish_risk_source":{"type":"string","nullable":true},"contains_lupin_risk_source":{"type":"string","nullable":true},"contains_mustard_risk_source":{"type":"string","nullable":true},"contains_milk_risk_source":{"type":"string","nullable":true},"contains_molluscs_risk_source":{"type":"string","nullable":true},"contains_tree_nuts_risk_source":{"type":"string","nullable":true},"contains_almond_nuts_risk_source":{"type":"string","nullable":true},"contains_brazil_nuts_risk_source":{"type":"string","nullable":true},"contains_cashew_nuts_risk_source":{"type":"string","nullable":true},"contains_hazelnut_nuts_risk_source":{"type":"string","nullable":true},"contains_macadamia_nuts_risk_source":{"type":"string","nullable":true},"contains_pecan_nuts_risk_source":{"type":"string","nullable":true},"contains_pistachio_nuts_risk_source":{"type":"string","nullable":true},"contains_walnut_nuts_risk_source":{"type":"string","nullable":true},"contains_peanuts_risk_source":{"type":"string","nullable":true},"contains_sesame_seeds_risk_source":{"type":"string","nullable":true},"contains_soybeans_risk_source":{"type":"string","nullable":true},"contains_sulphur_dioxide":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"allergen_statement_on_pack":{"type":"string"},"additional_allergen_information":{"type":"string"},"contains_cereal_gluten_20ppm":{"type":"string","nullable":true},"contains_wheat_gluten_20ppm":{"type":"string","nullable":true},"contains_rye_gluten_20ppm":{"type":"string","nullable":true},"contains_barley_gluten_20ppm":{"type":"string","nullable":true},"contains_oats_gluten_20ppm":{"type":"string","nullable":true},"contains_sulphur_dioxide_risk_source":{"type":"string","nullable":true}}},"free_from":{"type":"object","properties":{"free_from_gluten":{"type":"string","nullable":true},"free_from_wheat":{"type":"string","nullable":true},"free_from_rye":{"type":"string","nullable":true},"free_from_barley":{"type":"string","nullable":true},"free_from_oats":{"type":"string","nullable":true},"free_from_nuts":{"type":"string","nullable":true},"free_from_celery":{"type":"string","nullable":true},"free_from_crustacea":{"type":"string","nullable":true},"free_from_eggs":{"type":"string","nullable":true},"free_from_fish":{"type":"string","nullable":true},"free_from_lupin":{"type":"string","nullable":true},"free_from_mustard":{"type":"string","nullable":true},"free_from_lactose":{"type":"string","nullable":true},"free_from_milk":{"type":"string","nullable":true},"free_from_molluscs":{"type":"string","nullable":true},"free_from_peanuts":{"type":"string","nullable":true},"free_from_sesame":{"type":"string","nullable":true},"free_from_soybeans":{"type":"string","nullable":true},"free_from_sulphur_dioxide":{"type":"string","nullable":true},"very_low_gluten":{"type":"string","nullable":true}}},"nutrients":{"type":"object","properties":{"traffic_light_labelling":{"type":"string","nullable":true},"nutritional_data_exempt":{"type":"string","nullable":true},"nutritional_information_source":{"type":"string","nullable":true},"nutrition_units":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"number_of_servings":{"type":"string","nullable":true},"serving_size":{"type":"string","nullable":true},"serving_details":{"type":"string"},"hfss_product":{"type":"string","nullable":true},"hfss_score":{"type":"string","nullable":true},"fibre_type":{"type":"string","nullable":true},"chol_100":{"type":"string","nullable":true},"trans_fats_100":{"type":"string","nullable":true},"fat_percentage_dry_100":{"type":"string","nullable":true},"non_milk_extrinsic_sugars_100":{"type":"string","nullable":true},"non_milk_extrinsic_sugars_prepared":{"type":"string","nullable":true},"nutrition_statements":{"type":"string"},"cal_100_kj":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"cal_100_kcal":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"fat_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"sat_fat_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"mono_fat_100":{"type":"string","nullable":true},"poly_fat_100":{"type":"string","nullable":true},"carb_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"sugar_carb_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"polyols_carb_100":{"type":"string","nullable":true},"starch_carb_100":{"type":"string","nullable":true},"fibre_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"protein_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"salt_100":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"}}},"sodium_100":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"sugar_carb_serving":{"type":"string","nullable":true},"vitamin_a_100":{"type":"string","nullable":true},"vitamin_d_100":{"type":"string","nullable":true},"vitamin_e_100":{"type":"string","nullable":true},"vitamin_k_100":{"type":"string","nullable":true},"vitamin_c_100":{"type":"string","nullable":true},"thiamin_b1_100":{"type":"string","nullable":true},"riboflavin_b2_100":{"type":"string","nullable":true},"niacin_b3_100":{"type":"string","nullable":true},"vitamin_b6_100":{"type":"string","nullable":true},"folate_100":{"type":"string","nullable":true},"vitamin_b12_100":{"type":"string","nullable":true},"biotin_b7_100":{"type":"string","nullable":true},"pantothenic_acid_100":{"type":"string","nullable":true},"potassium_100":{"type":"string","nullable":true},"chloride_100":{"type":"string","nullable":true},"calcium_100":{"type":"string","nullable":true},"phosphorus_100":{"type":"string","nullable":true},"magnesium_100":{"type":"string","nullable":true},"iron_100":{"type":"string","nullable":true},"zinc_100":{"type":"string","nullable":true},"copper_100":{"type":"string","nullable":true},"manganese_100":{"type":"string","nullable":true},"fluoride_100":{"type":"string","nullable":true},"selenium_100":{"type":"string","nullable":true},"chromium_100":{"type":"string","nullable":true},"molybdenum_100":{"type":"string","nullable":true},"iodine_100":{"type":"string","nullable":true},"cal_kcal_serving":{"type":"string","nullable":true},"cal_kj_serving":{"type":"string","nullable":true},"calcium_serving":{"type":"string","nullable":true},"carb_serving":{"type":"string","nullable":true},"polyols_carb_serving":{"type":"string","nullable":true},"starch_carb_serving":{"type":"string","nullable":true},"fat_serving":{"type":"string","nullable":true},"sat_fat_serving":{"type":"string","nullable":true},"mono_fat_serving":{"type":"string","nullable":true},"poly_fat_serving":{"type":"string","nullable":true},"fibre_serving":{"type":"string","nullable":true},"folate_serving":{"type":"string","nullable":true},"iron_serving":{"type":"string","nullable":true},"protein_serving":{"type":"string","nullable":true},"salt_serving":{"type":"string","nullable":true},"sodium_serving":{"type":"string","nullable":true},"vitamin_a_serving":{"type":"string","nullable":true},"vitamin_c_serving":{"type":"string","nullable":true},"zinc_serving":{"type":"string","nullable":true},"vitamin_d_serving":{"type":"string","nullable":true},"vitamin_e_serving":{"type":"string","nullable":true},"thiamin_b1_serving":{"type":"string","nullable":true},"riboflavin_b2_serving":{"type":"string","nullable":true},"niacin_b3_serving":{"type":"string","nullable":true},"vitamin_b6_serving":{"type":"string","nullable":true},"vitamin_b12_serving":{"type":"string","nullable":true},"biotin_b7_serving":{"type":"string","nullable":true},"pantothenic_acid_serving":{"type":"string","nullable":true},"potassium_serving":{"type":"string","nullable":true},"chloride_serving":{"type":"string","nullable":true},"phosphorus_serving":{"type":"string","nullable":true},"magnesium_serving":{"type":"string","nullable":true},"copper_serving":{"type":"string","nullable":true},"manganese_serving":{"type":"string","nullable":true},"fluoride_serving":{"type":"string","nullable":true},"selenium_serving":{"type":"string","nullable":true},"iodine_serving":{"type":"string","nullable":true},"vitamin_k_serving":{"type":"string","nullable":true},"chromium_serving":{"type":"string","nullable":true},"molybdenum_serving":{"type":"string","nullable":true}}},"nutrients_prepared":{"type":"object","properties":{"prepared_product_portion_size":{"type":"string","nullable":true},"prepared_product_details":{"type":"string"},"sugar_carb_prepared":{"type":"string","nullable":true},"sugar_carb_prepared_100":{"type":"string","nullable":true},"cal_kcal_prepared":{"type":"string","nullable":true},"cal_kcal_prepared_100":{"type":"string","nullable":true},"cal_kj_prepared":{"type":"string","nullable":true},"cal_kj_prepared_100":{"type":"string","nullable":true},"calcium_prepared":{"type":"string","nullable":true},"calcium_prepared_100":{"type":"string","nullable":true},"carb_prepared":{"type":"string","nullable":true},"carb_prepared_100":{"type":"string","nullable":true},"polyols_carb_prepared":{"type":"string","nullable":true},"polyols_carb_prepared_100":{"type":"string","nullable":true},"starch_carb_prepared":{"type":"string","nullable":true},"starch_carb_prepared_100":{"type":"string","nullable":true},"fat_prepared":{"type":"string","nullable":true},"fat_prepared_100":{"type":"string","nullable":true},"sat_fat_prepared":{"type":"string","nullable":true},"sat_fat_prepared_100":{"type":"string","nullable":true},"mono_fat_prepared":{"type":"string","nullable":true},"mono_fat_prepared_100":{"type":"string","nullable":true},"poly_fat_prepared":{"type":"string","nullable":true},"poly_fat_prepared_100":{"type":"string","nullable":true},"fibre_prepared":{"type":"string","nullable":true},"fibre_prepared_100":{"type":"string","nullable":true},"folate_prepared":{"type":"string","nullable":true},"folate_prepared_100":{"type":"string","nullable":true},"iron_prepared":{"type":"string","nullable":true},"iron_prepared_100":{"type":"string","nullable":true},"protein_prepared":{"type":"string","nullable":true},"protein_prepared_100":{"type":"string","nullable":true},"salt_prepared":{"type":"string","nullable":true},"salt_prepared_100":{"type":"string","nullable":true},"sodium_prepared":{"type":"string","nullable":true},"sodium_prepared_100":{"type":"string","nullable":true},"vitamin_a_prepared":{"type":"string","nullable":true},"vitamin_a_prepared_100":{"type":"string","nullable":true},"vitamin_c_prepared":{"type":"string","nullable":true},"vitamin_c_prepared_100":{"type":"string","nullable":true},"zinc_prepared":{"type":"string","nullable":true},"zinc_prepared_100":{"type":"string","nullable":true},"vitamin_d_prepared":{"type":"string","nullable":true},"vitamin_d_prepared_100":{"type":"string","nullable":true},"vitamin_e_prepared":{"type":"string","nullable":true},"vitamin_e_prepared_100":{"type":"string","nullable":true},"thiamin_b1_prepared":{"type":"string","nullable":true},"thiamin_b1_prepared_100":{"type":"string","nullable":true},"riboflavin_b2_prepared":{"type":"string","nullable":true},"riboflavin_b2_prepared_100":{"type":"string","nullable":true},"niacin_b3_prepared":{"type":"string","nullable":true},"niacin_b3_prepared_100":{"type":"string","nullable":true},"vitamin_b6_prepared":{"type":"string","nullable":true},"vitamin_b6_prepared_100":{"type":"string","nullable":true},"vitamin_b12_prepared":{"type":"string","nullable":true},"vitamin_b12_prepared_100":{"type":"string","nullable":true},"biotin_b7_prepared":{"type":"string","nullable":true},"biotin_b7_prepared_100":{"type":"string","nullable":true},"pantothenic_acid_prepared":{"type":"string","nullable":true},"pantothenic_acid_prepared_100":{"type":"string","nullable":true},"potassium_prepared":{"type":"string","nullable":true},"potassium_prepared_100":{"type":"string","nullable":true},"chloride_prepared":{"type":"string","nullable":true},"chloride_prepared_100":{"type":"string","nullable":true},"phosphorus_prepared":{"type":"string","nullable":true},"phosphorus_prepared_100":{"type":"string","nullable":true},"magnesium_prepared":{"type":"string","nullable":true},"magnesium_prepared_100":{"type":"string","nullable":true},"copper_prepared":{"type":"string","nullable":true},"copper_prepared_100":{"type":"string","nullable":true},"manganese_prepared":{"type":"string","nullable":true},"manganese_prepared_100":{"type":"string","nullable":true},"fluoride_prepared":{"type":"string","nullable":true},"fluoride_prepared_100":{"type":"string","nullable":true},"selenium_prepared":{"type":"string","nullable":true},"selenium_prepared_100":{"type":"string","nullable":true},"iodine_prepared":{"type":"string","nullable":true},"iodine_prepared_100":{"type":"string","nullable":true},"vitamin_k_prepared":{"type":"string","nullable":true},"vitamin_k_prepared_100":{"type":"string","nullable":true},"chromium_prepared":{"type":"string","nullable":true},"chromium_prepared_100":{"type":"string","nullable":true},"molybdenum_prepared":{"type":"string","nullable":true},"molybdenum_prepared_100":{"type":"string","nullable":true}}},"ingredients":{"type":"object","properties":{"ingredients":{"type":"string"},"ingredients_statements":{"type":"string"},"contains_gm_protein":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_hydro_veg":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"contains_palm_oil":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"alcohol_strength_per_vol":{"type":"string","nullable":true},"cbd_concentration":{"type":"string","nullable":true},"formatted_ingredients":{"type":"string"},"plaintext_ingredients":{"type":"string"}}},"diets":{"type":"object","properties":{"vegan_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"vegetarian_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"halal_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"kosher_suitable":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}}}},"handling":{"type":"object","properties":{"directions_for_use":{"type":"string"},"storage_instructions":{"type":"string"},"storage_instructions_after_opening":{"type":"string"},"shelf_life_once_defrosted":{"type":"string","nullable":true}}},"inner":{"type":"object","properties":{"no_inner_component_present":{"type":"string","nullable":true},"internal_gtin":{"type":"string"},"inner_component_diameter":{"type":"string","nullable":true},"inner_component_weight":{"type":"object","properties":{"value":{"type":"number"},"units":{"type":"string"},"units_id":{"type":"integer"}}},"inner_component_volume":{"type":"string","nullable":true},"inner_component_depth":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"inner_component_width":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"inner_component_height":{"type":"object","properties":{"value":{"type":"integer"},"units":{"type":"string"}}},"net_drained_weight":{"type":"string","nullable":true},"variable_weight_consumer_item":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"count_per_inner_component":{"type":"string","nullable":true},"e_mark":{"type":"string","nullable":true},"manufacturers_component_code":{"type":"string"}}},"waste_inner":{"type":"object","properties":{"inner_packaging":{"type":"array","items":{"type":"object","properties":{"packaging_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_weight":{"type":"integer"},"recycled_plastic":{"type":"string","nullable":true},"base_material_type":{"type":"object","properties":{"id":{"type":"integer"},"description":{"type":"string"}}},"packaging_returnable":{"type":"string","nullable":true}}}}}},"characteristics":{"type":"object","properties":{"micro_trend_analysis":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"shelf_life_testing":{"type":"object","properties":{"value":{"type":"integer"},"description":{"type":"string"}}},"commercially_sterile":{"type":"string","nullable":true}}},"supplementary_information":{"type":"object","properties":{"cheese_format":{"type":"string","nullable":true},"egg_source":{"type":"string","nullable":true},"cheese_flavour_strength":{"type":"string","nullable":true},"milk_type":{"type":"string","nullable":true},"cheese_mould_ripened":{"type":"string","nullable":true},"pasteurised":{"type":"string","nullable":true},"desinewed_meat":{"type":"string","nullable":true},"reformed":{"type":"string","nullable":true},"skeletal_bones_present":{"type":"string","nullable":true},"fried_during_manufacture":{"type":"string","nullable":true},"skin_present":{"type":"string","nullable":true},"closure_type":{"type":"string"},"cut_details":{"type":"string"},"modified_atmosphere_packaging":{"type":"string","nullable":true}}},"hazard_controls":{"type":"object","properties":{"hazard_metal_detection":{"type":"string","nullable":true},"hazard_optical_sorting":{"type":"string","nullable":true},"hazard_sieving":{"type":"string","nullable":true},"hazard_xray":{"type":"string","nullable":true},"hazard_magnets":{"type":"string","nullable":true},"hazard_filters":{"type":"string","nullable":true}}},"organoleptics":{"type":"object","properties":{"organoleptic_appearance":{"type":"string"},"organoleptic_aroma":{"type":"string"},"organoleptic_taste":{"type":"string"},"organoleptic_texture":{"type":"string"}}},"derived":{"type":"array"},"waste_packaging":{"type":"object","properties":{"inner_packaging_plastic_weight":{"type":"integer"},"inner_packaging_paper_cardboard_weight":{"type":"integer"},"inner_packaging_fibre_based_composite_weight":{"type":"integer"},"inner_packaging_aluminium_weight":{"type":"integer"},"inner_packaging_glass_weight":{"type":"integer"},"inner_packaging_steel_weight":{"type":"integer"},"inner_packaging_wood_weight":{"type":"integer"},"inner_packaging_other_weight":{"type":"integer"}}}}}},"waste_packaging":{"type":"object","properties":{"outer_packaging_plastic_weight":{"type":"integer"},"outer_packaging_paper_cardboard_weight":{"type":"number"},"outer_packaging_fibre_based_composite_weight":{"type":"integer"},"outer_packaging_aluminium_weight":{"type":"integer"},"outer_packaging_glass_weight":{"type":"integer"},"outer_packaging_steel_weight":{"type":"integer"},"outer_packaging_wood_weight":{"type":"integer"},"outer_packaging_other_weight":{"type":"integer"}}}}}}}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"string"},"title":{"type":"string"},"detail":{"type":"string"}}}}}}}}}},"tags":["Products"]}}}}
```

## Get Product PDF

> Download Product PDF.\
> \
> This will return the Erudus PDF product specification.

```json
{"openapi":"3.0.3","info":{"title":"Erudus API","version":"2.0.0"},"tags":[{"name":"Products","description":"\nAPIs for getting product data held in the Erudus data pool.\n\nTypical usage involves calling the List Products endpoint to find products of interest and those that have recently been updated. The Get Product end point can then be called to obtain the complete data set for a product.\n\nProduct data is returned in JSON format inside the data element. A full product specification includes data structured inside several sub-sections and one or more inner components. The data values are collected together in related sections, for example \"allergens\" or \"nutrients\".\n\nSee endpoint sections below for example data responses.\n\nEach product complies to a specification type schema. Each product can therefore\ncontain different sets of attributes depending on its type and whether data has been\nprovided by the manufacturer of the product."}],"servers":[{"url":"https://api.erudus.com"}],"security":[{"default":[]}],"components":{"securitySchemes":{"default":{"type":"http","scheme":"bearer","description":"You can retrieve your token by visiting your dashboard and clicking <b>Manage API tokens</b>."}}},"paths":{"/v2/products/{product}/pdf":{"get":{"summary":"Get Product PDF","operationId":"getProductPDF","description":"Download Product PDF.\n\nThis will return the Erudus PDF product specification.","parameters":[{"in":"query","name":"version","description":"Get a specific version of the product.","required":false,"schema":{"type":"string","description":"Get a specific version of the product."}}],"responses":{"401":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}},"tags":["Products"]}}}}
```
